data = load('data_hospital.txt');
target = load('target_hospital.txt');
data2 = load('data2_hospital.txt')


Mn0 = 1;
Meta = 1;
Msd = 2;
pred = linspace(0,2,100);
rstar = 0.8;
cost = 1;
burnin = 1000;
thin = 2;
numbofits = 500;

% % No firm characteristics
% [samples, fpred] = NonParSF(target, data, pred, cost, rstar, Mn0, Meta, Msd, burnin, thin, numbofits);
% 
% % Draw the trace of lambda
% figure(1)
% plot(samples.lambda)
% 
% % Draw a histogram of the samples from the posterior distribution of lambda
% figure(2)
% hist(samples.lambda)
% 
% % Draw the quantile plot shown in figure 7 of the paper
% figure(3)
% quantile_plot(samples.u);

% With firm characteristics
[samples, fpred] = NonParSF2(target, data, data2, pred, cost, rstar, Mn0, Meta, Msd, burnin, thin, numbofits);

mean(samples.gamma)
std(samples.gamma)

% Draw the quantile plot shown in figure 7 of the paper
figure(3)
quantile_plot(samples.u);
