function [x] = truncated_normal(mu, var, a, b)

a = (a - mu) / sqrt(var);
b = (b - mu) / sqrt(var);

if ( a == -inf )
    temp = a;
    a = - b;
    b = - temp;   
    
    x = - trunc_norm(a, b);
elseif ((a < 0) & (b <= 0))
    temp = a;
    a = - b;
    b = - temp;
    
    x = - trunc_norm(a, b);
else
    x = trunc_norm(a, b);
end

x = mu + sqrt(var) * x;